<template>
  <article v-if="n" class="article-big" :data-id="n.source.id" :news="n.title">

    <a :href="n.url" target="_blank">
      <div class="article-image" :style="`background-image: url('${n.urlToImage}')`"></div>
    </a>

    <a class="content" :href="n.url" target="_blank">
      <span class="meta">
        <span class="date">{{ $moment(n.publishedAt).format('lll') }} Uhr</span>
        <span class="source">{{ n.source.name }}</span>
      </span>
      <h2>{{ n.title }}</h2>
      <p>{{ n.content }}</p>
    </a>

  </article>
</template>

<script>
export default {
  name: "ArticleBig",
  props: {
    news: {
      type: Object,
      required: true
    }
  },
  computed: {
    n() {
      return this.news;
    }
  }
}
</script>

<style lang="scss">
.article-big {
  position: relative;
  width: 100%;

  a {
    display: block;
  }

  .article-image {
    width: 100%;
    height: 300px;
    border-radius: $grid-gap;

    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background: linear-gradient(to right, #02AAB0 0%, #00CDAC 51%, #02AAB0 100%);

    @include _respond-to('phones') {
      height: 150px;
    }
  }

  .content {
    margin: 15px 0 0 0;
  }

  .meta {
    @include _display-flex(flex, flex-end, space-between, row);
  }

  .date {
    @include _font-paragraph('bold', $color-primary);
  }

  .source {
    @include _font-size($font-size-s);
  }

  h2 {
    margin: 0 0 10px 0;
    @include _font-headline('bold', $color-paragraph);
    @include _font-size($font-size-3);
  }
}
</style>
